xivo-upgrade (2023.05.02+20230510.115122.964e254) xivo-kuma-dev; urgency=medium

  * 6546 - added a pre-stop script, which checks from version 2023.05.00
    and higher whether there are present artifacts from plpython plugins
    in database. If some of these artifacts are identified, it will
    probably fail the database upgrade - postgres 11 to 15 - and because
    of that the script will halt upgrade and display a message to the
    administrator to acknowledge this fact and decide whether to remove
    these artifacts with commands, that are provided in the message, or
    take other actions.

 -- XiVO Builder Team <release@xivo.fr>  Wed, 10 May 2023 11:51:22 +0000

xivo-upgrade (2023.05.02) xivo-kuma; urgency=medium

  * 5951 remove chan_sccp

  -- Antoine Toutain <antoine.toutain@wisper.io>  Tue, 09 May 2023 10:15:03 +0100

xivo-upgrade (2023.05.00) xivo-kuma; urgency=medium

  * Bumped version

  [Antoine Toutain]
  * 6458 mattermost db restore

  [Etienne Allovon]
  * 6216 - add USM BACKEND TOKEN during upgrade

 -- Angel KOSTOV <akostov@xivo.solutions>  Thu, 13 Apr 2023 11:36:07 +0200

xivo-upgrade (2023.04.00) xivo-kuma; urgency=medium

  * 6400 upgrade xivo-db from 11 to 15

 -- Antoine Toutain <antoine.toutain@wisper.io>  Tue, 28 Mar 2023 10:15:03 +0100

xivo-upgrade (2023.03.00) xivo-kuma; urgency=medium

  * 6205 - add message for UC Addon upgrade 

 -- Etienne Allovon <etienne.allovon@wisper.io>  Wed, 15 Mar 2023 10:15:03 +0100

xivo-upgrade (2023.02.00) xivo-kuma; urgency=medium

  [Alexandre Lafarcinade]
  * 6261 - log off agents prior upgrade

  [Etienne Allovon]
  * 6222 - fix indexing after postgres upgrade

 -- Angel KOSTOV <akostov@xivo.solutions>  Tue, 07 Feb 2023 15:28:02 +0100

xivo-upgrade (2022.10.02) xivo-jabbah; urgency=medium

  * 5990 - add rabbitmq upgrade to apply new conf

 -- Etienne Allovon <etienne.allovon@wisper.io>  Tue, 06 Dec 2022 16:39:38 +0100

xivo-upgrade (2022.07.00) xivo-jabbah; urgency=medium

  * 5060 - add xivo-create-config in pre-start action 

 -- Etienne Allovon <eallovon@avencall.com>  Thu, 09 Jun 2022 14:59:57 +0200

xivo-upgrade (2022.05.04) xivo-izar; urgency=medium

  * Bump version

 -- Erwan SEVELLEC <esevellec@xivo.solutions>  Fri, 22 Apr 2022 10:57:53 +0200

xivo-upgrade (2022.05.03) xivo-izar; urgency=medium

  * 5158 Create dynamic pjsip config for devices in autoprov state 

 -- Vitezslav Novy <vnovy@vnovy.net>  Thu, 14 Apr 2022 11:40:28 +0200

xivo-upgrade (2022.05.01) xivo-izar; urgency=medium

  * 5043 - Fix MDS upgrade

 -- Etienne Allovon <eallovon@avencall.com>  Tue, 05 Apr 2022 16:35:56 +0200

xivo-upgrade (2022.05.00) xivo-izar; urgency=medium

  * 5053 - Fix dahdi-linux pb when upgrading

 -- Etienne Allovon <eallovon@avencall.com>  Tue, 22 Mar 2022 16:10:01 +0100

xivo-upgrade (2022.04.01) xivo-izar; urgency=medium

  * 4609 - handle Deb11 upgrade in mds-upgrade

 -- Etienne Allovon <eallovon@avencall.com>  Mon, 14 Mar 2022 16:43:58 +0100

xivo-upgrade (2022.04.00) xivo-izar; urgency=medium

  * 4932 - Fix twistd in xivo-upgrade

  [Etienne Allovon]
  * 4903 - Add xivo-ctid in package to purge

  [Laurent Meiller]
  * 4596 - Debian 11 (Bullseye) upgrade

 -- Tomas Taraba <ttaraba@avencall.com>  Wed, 23 Feb 2022 08:58:11 +0100

xivo-upgrade (2022.03.00) xivo-izar; urgency=medium

  * 4872 - Remove xivo-ctid install from upgrade 

 -- Etienne Allovon <eallovon@avencall.com>  Wed, 16 Feb 2022 14:36:11 +0100

xivo-upgrade (2020.21.00) xivo-gaia; urgency=medium

  * 3058 - Ensure containers are up to date after upgrade

 -- Etienne Allovon <eallovon@avencall.com>  Thu, 03 Dec 2020 17:09:17 +0000

xivo-upgrade (2020.18.02) xivo-freya; urgency=medium

  * 3579 - UCAddon - Upgrade procedure is incomplete

 -- Vojtech Sodoma <vsodoma@avencall.com>  Fri, 16 Oct 2020 15:41:46 +0200

xivo-upgrade (2020.17.00) xivo-freya; urgency=medium

  * 3524 MDS - automate the minor upgrade

 -- Vojtech Sodoma <vsodoma@avencall.com>  Thu, 17 Sep 2020 14:50:39 +0200

xivo-upgrade (2020.13.00) xivo-freya; urgency=medium

  * 3379 XIVO UC Addon handle pgxivocc upgrade

 -- Vojtech Sodoma <vsodoma@avencall.com>  Thu, 23 Jul 2020 12:05:11 +0200

xivo-upgrade (2020.11.00) xivo-freya; urgency=medium

  * 3381 - Finish upgrade to Debian 10
  * 3399 - Debian10: Handle upgrade from Boréalis, Callisto and Deneb
  * 3404 - Build DAHDI modules when upgrading from stretch

 -- Vojtech Sodoma <vsodoma@avencall.com>  Tue, 23 Jun 2020 10:44:18 +0200

xivo-upgrade (2020.10.00) xivo-freya; urgency=medium

  * 3276 - Debian 10 (Buster) upgrade

 -- Etienne Allovon <eallovon@avencall.com>  Tue, 16 Jun 2020 14:17:14 +0000

xivo-upgrade (2020.06.00) xivo-electra; urgency=medium

  * 3194 Old tokens from xivo-auth may not be deleted

 -- Vojtech Sodoma <vsodoma@avencall.com>  Mon, 16 Mar 2020 16:39:32 +0100

xivo-upgrade (2020.03.00) xivo-electra; urgency=medium

  * 3109 Set switchboard device option to false

 -- Tomas Taraba <ttaraba@avencall.com>  Tue, 11 Feb 2020 17:02:18 +0100

xivo-upgrade (2020.02.00) xivo-electra; urgency=medium

  * 2325 Remove queue and group members with invalid interface
  * 2953 Change xivo exchange from topic to x-delayed-message

 -- Vojtech Sodoma <vsodoma@avencall.com>  Fri, 25 Oct 2019 17:30:18 +0200

xivo-upgrade (2020.01.00) xivo-electra; urgency=medium

  * 3063 Improve RabbitMQ install procedure

 -- Vojtech Sodoma <vsodoma@avencall.com>  Wed, 08 Jan 2020 15:27:26 +0100

xivo-upgrade (2019.15.00) xivo-electra; urgency=medium

  * 3020 Dockerize and upgrade RabbitMQ on XiVO

 -- Vojtech Sodoma <vsodoma@avencall.com>  Wed, 18 Dec 2019 14:07:16 +0100

xivo-upgrade (2019.12.00) xivo-deneb; urgency=medium

  * 2851 Dockerize swagger and move its file to xivo-web-interface project
  * 2868 Externalize nginx logs on hosts

 -- Benoit SCHULER <bschuler@avencall.com>  Wed, 25 Sep 2019 12:12:25 +0200

xivo-upgrade (2019.11.00) xivo-deneb; urgency=medium

  * 2810 Update xivocc-installer docker dependency to docker-ce
  * 2821 Remove nginx and xivo-web-interface packages

 -- Vojtech Sodoma <vsodoma@avencall.com>  Thu, 12 Sep 2019 15:14:49 +0200

xivo-upgrade (2019.10.00) xivo-deneb; urgency=medium

  * 2684 Dockerization of the web interface

 -- Vojtech Sodoma <vsodoma@avencall.com>  Wed, 04 Sep 2019 16:35:31 +0200

xivo-upgrade (2019.09.00) xivo-deneb; urgency=medium

  * 2747 Remove statistics from web interface

 -- Vojtech Sodoma <vsodoma@avencall.com>  Wed, 21 Aug 2019 15:55:31 +0200

xivo-upgrade (2019.08.00) xivo-deneb; urgency=medium

  * 2729 Fix docker key installation.

 -- Etienne Allovon <eallovon@avencall.com>  Tue, 06 Aug 2019 13:17:09 +0000

xivo-upgrade (2019.07.00) xivo-deneb; urgency=medium

  * 2669 Logrotate configuration for /var/log/postgresql/ should be created

 -- Vojtech Sodoma <vsodoma@avencall.com>  Wed, 03 Jul 2019 14:29:46 +0200

xivo-upgrade (2019.05.08) xivo-callisto; urgency=medium

  [Etienne Allovon]
  * 2493 - enhance db migration time using pg_upgrade

  [ Vojtech Sodoma ]
  * 2564 Restrict database access

  [ Clement AGUILAR ]
  * 2565 When I installed DAHDI modules, it should continue to work after (minor) kernel upgrade

 -- Clement AGUILAR <caguilar@avencall.com>  Wed, 19 Jun 2019 10:14:22 +0200

xivo-upgrade (2019.05.06) xivo-callisto; urgency=medium

  * 2523 xivo-upgrade post-start.d scripts don't run correctly when upgrading from Jessie

 -- Vojtech Sodoma <vsodoma@avencall.com>  Mon, 03 Jun 2019 15:18:01 +0200

xivo-upgrade (2019.05.03) xivo-callisto; urgency=medium

  * 2474 Database upgrade - make failure more visible

 -- Vojtech Sodoma <vsodoma@avencall.com>  Mon, 13 May 2019 17:45:37 +0200

xivo-upgrade (2019.05.01) xivo-callisto; urgency=medium

  * 2463 - Display outcall to route migration errors

 -- Etienne Allovon <eallovon@avencall.com>  Tue, 30 Apr 2019 13:57:17 +0000

xivo-upgrade (2019.05.00) xivo-callisto; urgency=medium

  * 2421 Upgrade to postgres 11 - fixes
  * 2431 Upgrade to postgres 11 - remove postgres 9.4

 -- Vojtech Sodoma <vsodoma@avencall.com>  Fri, 05 Apr 2019 10:26:59 +0200

xivo-upgrade (2019.04.00) xivo-callisto; urgency=medium

  * 2271 Dockerize and upgrade postgres to version 11.2

 -- Vojtech Sodoma <vsodoma@avencall.com>  Fri, 22 Mar 2019 15:16:00 +0100

xivo-upgrade (2018.16.03) xivo-borealis; urgency=medium

  * 2225 Do not check database activity on normal upgrade
  * 2157 Ask to continue upgrade if XFS partition ftype is 0
  * 2155 db_replic can't start after upgrade from Five or Polaris
  * 2053 Install recording with xivo

 -- Vojtech Sodoma <vsodoma@avencall.com>  Thu, 01 Nov 2018 11:37:24 +0100

xivo-upgrade (2018.16.01) xivo-borealis; urgency=medium

  * 2110 - Upgrade of XiVO with UC addon and switch from aufs to overlay2
  * 2121 - Install overlay2 driver while upgrading from Five or Polaris

 -- Vojtech Sodoma <vsodoma@avencall.com>  Wed, 24 Oct 2018 10:39:20 +0200

xivo-upgrade (2018.15.00) xivo-borealis; urgency=medium

  * 2109 - Fix upgrade from Aldebaran with apt configuration from PXE

 -- Etienne Allovon <eallovon@avencall.com>  Mon, 08 Oct 2018 16:14:58 +0200

xivo-upgrade (2018.14.00) xivo-borealis; urgency=medium

  * 1150 Upgrade to Debian 9

 -- Jirka HLAVACEK <jhlavacek@avencall.com>  Thu, 27 Sep 2018 16:28:15 +0200

xivo-upgrade (2018.10.00) xivo-borealis; urgency=medium

  * Run xivo-dcomp pull at the end of xivo-upgrade

 -- Tomas Taraba <ttaraba@avencall.com>  Mon, 09 Jul 2018 17:30:45 +0200


xivo-upgrade (2018.09.00) xivo-borealis; urgency=medium

  * Handle configmgt db migration

 -- Etienne Allovon <eallovon@avencall.com>  Mon, 18 Jun 2018 13:41:04 +0200

xivo-upgrade (2018.04.02) xivo-aldebaran; urgency=medium
  
  * Fix import of preferred_callback_period table
  * Run migration in /var/tmp/

 -- Etienne Allovon <eallovon@avencall.com>  Fri, 09 Mar 2018 13:19:23 +0100

xivo-upgrade (2018.04.00) xivo-aldebaran; urgency=medium

  * Configmgt database migration to XiVO database
  * Bump to 2018.04.00

 -- Tomas Taraba <ttaraba@avencall.com>  Thu, 22 Feb 2018 10:54:13 +0100

xivo-upgrade (2018.03.01) xivo-aldebaran; urgency=medium

  * 1441 Fix printing of warning message

 -- Vojtech Sodoma <vsodoma@avencall.com>  Thu, 15 Feb 2018 17:29:13 +0100

xivo-upgrade (2018.03.00) xivo-aldebaran; urgency=medium

  [Tomas Taraba]
  * Change docker gpg key for the new docker repository
  * Install dahdi-linux-modules for all kernel versions found on system

  [Vojtech Sodoma]
  * 1441 Add check for redirections to outgoing call

 -- Vojtech Sodoma <vsodoma@avencall.com>  Tue, 06 Feb 2018 17:30:34 +0100

xivo-upgrade (2018.02.00) xivo-aldebaran; urgency=medium

  * add Docker GPG key and install xivo-docker
  * prevent upgrade to Aldebaran for 32-bit system

 -- Vojtech Sodoma <vsodoma@avencall.com>  Wed, 20 Dec 2017 15:44:39 +0100

xivo-upgrade (2018.01.00) xivo-aldebaran; urgency=medium

  * warn if ACD outgoing calls for call blending was manually configured

 -- Vojtech Sodoma <vsodoma@avencall.com>  Wed, 29 Nov 2017 10:40:27 +0100

xivo-upgrade (2017.06.00) xivo-dev; urgency=medium

  * remove xivo-ctid-ng

 -- Vojtech Sodoma <vsodoma@avencall.com>  Mon, 12 Jun 2017 15:52:03 +0200

xivo-upgrade (2017.03~20170405.1) xivo-five; urgency=medium

  * add check for call-recording-filtering and show warn message if it installed

 -- Etienne <eallovon@avencall.com>  Wed, 05 Apr 2017 10:44:33 +0200

xivo-upgrade (2017.03~20170331.1) xivo-five; urgency=medium

  * add check for xivo-recording and show warning message if it is installed

 -- Etienne Allovon <eallovon@avencall.com>  Fri, 31 Mar 2017 15:53:45 +0100

xivo-upgrade (2016.03~20161109.1) xivo-dev; urgency=medium

  * disable upgrades for versions above 16.08.2

 -- Tomas Taraba <ttaraba@avencall.com>  Wed, 09 Nov 2016 10:47:45 +0100

xivo-upgrade (16.08.1~20160728.1) xivo-16.08.1; urgency=medium

  * xivo-16.08.1

 -- Etienne Lessard <elessard@proformatique.com>  Thu, 28 Jul 2016 12:26:02 -0400

xivo-upgrade (14.01~20140115.205518.89d4d31) xivo-dev; urgency=low

  * add post-stop.d

 -- Sebastien Duthil <sduthil@avencall.com>  Wed, 15 Jan 2014 16:19:50 -0500

xivo-upgrade (14.01~20140113.144744.808e974-wheezy-2) xivo-dev; urgency=low

  * remove handling of xivo-update-db, now handled by xivo-manage-db

 -- Sebastien Duthil <sduthil@avencall.com>  Wed, 15 Jan 2014 10:49:44 -0500

xivo-upgrade (1.2.5~20120313.132648.e024d05-3) squeeze-xivo-skaro; urgency=low

  * add logrotate configuration

 -- Jirka HLAVACEK <jhlavacek@avencall.com>  Fri, 05 Apr 2013 14:29:22 +0200

xivo-upgrade (1.2.5~20120313.132648.e024d05-2) squeeze-xivo-skaro; urgency=low

  * remove depends on curl

 -- cabunar <cabunar@kiki.lan-quebec.avencall.com>  Wed, 28 Mar 2012 14:22:27 -0400

xivo-upgrade (1.2.1~dev) squeeze-xivo-skaro; urgency=low

  * Initial release

 -- Nicolas HICHER (atarakt) <nhicher@proformatique.com>  Mon, 20 Feb 2012 19:42:09 -0500
